<div class="tabs">
  <div class="tab-buttons">
    <span
      class="tab-button"
      [ngClass]="{ active: activeTabIndex === 0 }"
      (click)="setActiveTabIndex(0)"
      >Simple Bookmarking</span
    >
    <span
      class="tab-button"
      [ngClass]="{ active: activeTabIndex === 1 }"
      (click)="setActiveTabIndex(1)"
      >Speedy Searching</span
    >
    <span
      class="tab-button"
      [ngClass]="{ active: activeTabIndex === 2 }"
      (click)="setActiveTabIndex(2)"
      >Easy Sharing</span
    >
  </div>
  <div class="line-row">
    <div
      class="line-row-active"
      [ngClass]="{
        'line-start': activeTabIndex === 0,
        'line-centered': activeTabIndex === 1,
        'line-end': activeTabIndex === 2
      }"
    ></div>
  </div>
</div>
<ng-container *ngFor="let tab of tabs; let i = index">
  <div [ngClass]="setTabClass(i)">
    <app-tab
      [heading]="tab.heading"
      [description]="tab.description"
      [link]="tab.link"
      [imageName]="tab.imageName"
    ></app-tab>
  </div>
</ng-container>
